from google.appengine.api import taskqueue


class PushQueue:

    def __init__(self, name, url):
        self._url = url
        self._queue = taskqueue.Queue(name)

    def add(self, params):
        task = taskqueue.Task(
            url=self._url,
            params=params,
        )
        self._queue.add(task)
