

class ErrorModel:

    @classmethod
    def new(cls, message, code):
        return {
            "error": cls.element(message=message, code=code)
        }

    @classmethod
    def array(cls, message, code, elements):
        return {
            "error": {
                "message": message,
                "code": code,
                "errors": elements
            }
        }

    @classmethod
    def element(cls, message, code):
        return {
            "message": message,
            "code": code
        }

    @classmethod
    def isObject(cls, errorModel):
        return isinstance(errorModel, dict) and "error" in errorModel