from .email import Email


class AlertEmail:

    @classmethod
    def send(cls, text, subject):
        to = ",".join([
            "adrian.shiokawa@hummingbird.com.br",
            "rafael.castro@hummingbird.com.br",
            "osman.pontes@hummingbird.com.br",
            "deromir.neves@hummingbird.com.br"
        ])

        Email.send(
            text=text,
            to=to,
            subject=subject,
            sender="Darwin Alert<darwin@hummingbird.com.br>"
        )
