import re
from .accents import Accents


class Alphanumeric:

    @classmethod
    def clean(cls, string):
        stringWithoutAccents = Accents.remove(string)
        alphanumericRegex = r"[^A-Za-z0-9\s\-]+"
        stringWithoutSpecialChars = re.sub(alphanumericRegex, " ", stringWithoutAccents)
        stringWithoutDoubleSpaces = re.sub(' +',' ', stringWithoutSpecialChars)
        return stringWithoutDoubleSpaces.strip()